> For the complete documentation index, see [llms.txt](https://docs.getpurpledot.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getpurpledot.com/docs/purple-dot-apis/public-api/availability.md).

# /availability

#### [`GET /availability`](#get-availability) <a href="#get-availability" id="get-availability"></a>

Get the Purple Dot stock levels for a product and all its variants. Useful for determining whether a particular variant has stock available in Purple Dot.

Request query parameters:

* `api_key` - Required. Your Purple Dot store's public API key
* `product_id`- Required. The ID of the product used by the connected store, e.g. Shopify `product.id`

Response:

* `data`
  * `id` - The ID of the product used by the connected store, e.g. Shopify `product.id`
  * `product_code` - The product code used by the connected store, e.g. Shopify `product.handle`
  * `available` - Boolean indicating whether the product has any remaining Waitlist stock
  * `available_stock` - The number of units (across all variants) that are available on the Waitlist
  * `variants` - An array containing all the product's variants
    * `id` - The ID of the product used by the connected store, e.g. Shopify `variant.id`
    * `sku` - The SKU used by the connected store, e.g. Shopify `variant.sku`
    * `available` - Boolean indicating whether this variant has any remaining Waitlist stock
    * `available_stock` - The number of units available for this variant on the Waitlist
    * `available_in_stock` - Purple Dot's view of the number of units available for this variant in your Shopify store
    * `oversell_enabled` - Boolean indicating Purple Dot's view if this variant has its [inventory\_policy](https://shopify.dev/docs/api/admin-rest/2022-07/resources/product-variant) set to `continue` in Shopify. Should be `true` for any variant in a store using the [Combined Cart](https://docs.getpurpledot.com/docs/platform-integration-with-shopify/integrate-with-shopify-using-liquid-templates#5.-setup-your-preferred-checkout-method) checkout type if this variant has Waitlist stock and that Waitlist is live
    * `waitlist_id` - Purple Dot's internal ID of the Waitlist that has stock of this variant, if any

Examples:

```bash
curl --request GET \
  --url 'https://www.purpledotprice.com/api/v1/availability?product_id=4697179062404&api_key=<...>'
```

{% code overflow="wrap" %}

```json
{
  "meta": {
    "result": "success"
  },
  "data": {
    "id": "4697179062404",
    "product_code": "womens-white-sneakers",
    "available": true,
    "available_stock": 500,
    "variants": [
      {
        "id": "32813576749188",
        "sku": "PD3-10",
        "available": true,
        "available_stock": 500,
        "available_in_stock": 0,
        "oversell_enabled": true,
        "waitlist_id": "578a2f72-bbd9-41e1-9330-7eb3ba190f00",
      },
      {
        "id": "32813576388740",
        "sku": "PD3-5",
        "available": false,
        "available_stock": 0
        "available_in_stock": 0
        "oversell_enabled": false,
        "waitlist_id": null,
      }
    ]
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getpurpledot.com/docs/purple-dot-apis/public-api/availability.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
